Get Page Data
curl --request GET \
--url https://api.cm.conductor.com/v2/data/page \
--header 'Authorization: <api-key>'import requests
url = "https://api.cm.conductor.com/v2/data/page"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.cm.conductor.com/v2/data/page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "https://www.conductor.com",
"url_unique_id": "1-234",
"is_https": true,
"ga_v4_active_users": 10,
"ga_v4_average_engagement_time": 10,
"ga_v4_date_range": {
"since": "2022-05-16",
"until": "2022-08-14"
},
"ga_v4_engagement_rate": 10,
"ga_v4_screen_page_views": 10,
"gsc_clicks": 10,
"gsc_ctr": 10,
"gsc_date_range": {
"since": "2022-05-16",
"until": "2022-08-14"
},
"gsc_impressions": 10,
"gsc_position": 10,
"health": 881,
"is_disallowed_in_robots_txt": false,
"is_indexable": true,
"is_indexable_due_to_meta_robots": "yes",
"is_indexable_due_to_x_robots_tag": "yes",
"is_in_sitemap": true,
"lfa_bing_desktop_frequency": null,
"lfa_bing_desktop_last_visit": null,
"lfa_bing_frequency": null,
"lfa_bing_last_visit": null,
"lfa_bing_mobile_frequency": null,
"lfa_bing_mobile_last_visit": null,
"lfa_google_desktop_frequency": null,
"lfa_google_desktop_last_visit": null,
"lfa_google_frequency": null,
"lfa_google_last_visit": null,
"lfa_google_mobile_frequency": null,
"lfa_google_mobile_last_visit": null,
"lfa_openai_desktop_frequency": null,
"lfa_openai_desktop_last_visit": null,
"lfa_openai_search_last_visit": null,
"lfa_openai_search_frequency": null,
"lfa_openai_user_last_visit": null,
"lfa_openai_user_frequency": null,
"lfa_openai_bot_last_visit": null,
"lfa_openai_bot_frequency": null,
"lfa_openai_frequency": null,
"lfa_openai_last_visit": null,
"lfa_perplexity_desktop_frequency": null,
"lfa_perplexity_desktop_last_visit": null,
"lfa_perplexity_user_last_visit": null,
"lfa_perplexity_user_frequency": null,
"lfa_perplexity_bot_last_visit": null,
"lfa_perplexity_bot_frequency": null,
"lfa_perplexity_frequency": null,
"lfa_perplexity_last_visit": null,
"lighthouse_cls": {
"value": 0,
"range": "good"
},
"lighthouse_fcp": {
"value": 1000,
"range": "good"
},
"lighthouse_lcp": {
"value": 2000,
"range": "good"
},
"lighthouse_performance": {
"value": 95,
"range": "good"
},
"lighthouse_si": {
"value": 3700,
"range": "needsImprovement"
},
"lighthouse_tbt": {
"value": 669,
"range": "bad"
},
"lighthouse_tti": {
"value": 2000,
"range": "good"
},
"relevance": 9.33,
"status_code": 200,
"type": "page",
"enrichment_fields_data": {},
"content": [
{
"type": "canonical",
"content": null
},
{
"type": "link_alternate_hreflang",
"content": null,
"hreflang": "en"
},
{
"type": "link_alternate_hreflang",
"content": null,
"hreflang": "x-default"
},
{
"type": "title",
"content": "Some Title"
},
{
"type": "meta_description",
"content": "Some Meta Description"
},
{
"type": "h1",
"content": null
},
{
"type": "open_graph_description",
"content": null
},
{
"type": "open_graph_image",
"content": null
},
{
"type": "open_graph_title",
"content": null
},
{
"type": "open_graph_type",
"content": null
},
{
"type": "open_graph_url",
"content": null
},
{
"type": "twitter_card",
"content": null
},
{
"type": "twitter_site",
"content": null
},
{
"type": "twitter_title",
"content": null
},
{
"type": "twitter_description",
"content": null
},
{
"type": "twitter_image",
"content": null
},
{
"type": "google_analytics",
"content": "UA-12345678-1"
},
{
"type": "google_tag_manager",
"content": "GTM-AB12345"
}
],
"schema_org": [],
"segments": [
"1111111"
],
"app_url": "https://app.cm.conductor.com/websites/1-12345/pages/123456789",
"time_document_download": 123,
"open_issues": [
{
"name": "analytics/visual_analytics_missing"
},
{
"name": "open_graph/description_incorrect_length"
},
{
"name": "open_graph/title_incorrect_length"
}
],
"custom_elements": {},
"unstable_last_checked_at": "2022-08-15T13:32:12+02:00"
},
"data_captured_at": "2022-08-15T13:32:29+02:00",
"is_data_golden": false
}{
"code": "auth_missing_token",
"message": "Authentication token must be passed in Authorization HTTP header.",
"errors": []
}{
"code": "terms_of_use_not_accepted",
"message": "Reporting API Terms of Use have not been accepted yet. Please accept Terms of Use in Account Settings.",
"errors": []
}{
"error": "Requested website ID was not found"
}{
"code": "auth_malformed",
"message": "Authorization HTTP header must conform to format described in docs.",
"errors": []
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again in a minute.",
"errors": []
}{
"data": {
"url": "https://cm.conductor.com/",
"url_unique_id": "123345",
"is_https": true,
"is_disallowed_in_robots_txt": false,
"is_indexable": false,
"is_indexable_due_to_meta_robots": "not_applicable",
"is_indexable_due_to_x_robots_tag": "not_applicable",
"is_in_sitemap": false,
"redirect": {
"location": "https://www.conductor.com/",
"url": "https://www.conductor.com/"
},
"status_code": 301,
"type": "redirect",
"enrichment_fields_data": {},
"segments": [],
"app_url": "https://app.cm.conductor.com/websites/5-2457491/pages/12334563485638745638465837465836",
"time_document_download": 123,
"unstable_last_checked_at": "2022-08-15T06:28:42+02:00"
},
"data_captured_at": "2022-08-15T13:55:35+02:00",
"is_data_golden": false
}{
"data": {
"url": "https://cm.conductor.com/this-page-does-not-exist/",
"url_unique_id": "123345",
"is_https": true,
"is_disallowed_in_robots_txt": false,
"is_indexable": false,
"is_indexable_due_to_meta_robots": "not_applicable",
"is_indexable_due_to_x_robots_tag": "not_applicable",
"is_in_sitemap": false,
"status_code": 404,
"type": "missing",
"enrichment_fields_data": {},
"segments": [],
"app_url": "https://app.cm.conductor.com/websites/5-2457491/pages/12334563485638745638465837465836",
"time_document_download": 123,
"unstable_last_checked_at": "2022-08-15T06:28:42+02:00"
},
"data_captured_at": "2022-08-15T13:55:35+02:00",
"is_data_golden": false
}Data
Get page data
Get all data for a single page: SEO fields, Lighthouse scores, open issues, Schema.org data, content, log file analysis frequency, and Enrichment Fields.
GET
/
v2
/
data
/
page
Get Page Data
Authorizations
Send your Reporting API token as Authorization: token {reporting_api_token} — the literal string token, a space, then the token itself. Find it in Conductor Monitoring under Account > Account tab > Integration Tokens.
Query Parameters
Required.
Required. Full absolute URL.
